<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: src/libGEdefs.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">libGEdefs.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="lib_g_edefs_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/* src/libGEdefs.h.  Generated from libGEdefs.h.in by configure.  */</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">/* src/libGEdefs.h.in.  Generated from configure.ac by autoheader.  */</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// ge.h -*- C++ -*-</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#ifndef _LIBGEDEFS_H_</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define _LIBGEDEFS_H_</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div><div class="line"><a name="l00008"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#ae2c87d003d0d1473ab3c668d68df93ea">    8</a></span>&#160;<span class="preprocessor">#define libGEVersion &quot;0.31.0&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">/* Path for GALib headers */</span></div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#afdeb2790d5c7f9f36dfba1ca085fccb6">   11</a></span>&#160;<span class="preprocessor">#define GALIB_INCLUDEPATH &lt;ga/ga.h&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">/* Install Illigal SGA wrapper */</span></div><div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#ad04bb0ed01a92469678e309a483d0065">   14</a></span>&#160;<span class="preprocessor">#define GE_ILLIGALSGA </span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">/* Define to 1 if you have the &lt;dlfcn.h&gt; header file. */</span></div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#a0ee1617ff2f6885ef384a3dd46f9b9d7">   17</a></span>&#160;<span class="preprocessor">#define HAVE_DLFCN_H 1</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">/* Define to 1 if you have the &lt;inttypes.h&gt; header file. */</span></div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#ab90a030ff2790ebdc176660a6dd2a478">   20</a></span>&#160;<span class="preprocessor">#define HAVE_INTTYPES_H 1</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">/* Define to 1 if your system has a GNU libc compatible `malloc&#39; function, and</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment">   to 0 otherwise. */</span></div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#a14503280ca0cb757db915eea09282bfc">   24</a></span>&#160;<span class="preprocessor">#define HAVE_MALLOC 1</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment">/* Define to 1 if you have the &lt;memory.h&gt; header file. */</span></div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#ae93a78f9d076138897af441c9f86f285">   27</a></span>&#160;<span class="preprocessor">#define HAVE_MEMORY_H 1</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment">/* Define to 1 if stdbool.h conforms to C99. */</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment">/* #undef HAVE_STDBOOL_H */</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment">/* Define to 1 if you have the &lt;stdint.h&gt; header file. */</span></div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#ab6cd6d1c63c1e26ea2d4537b77148354">   33</a></span>&#160;<span class="preprocessor">#define HAVE_STDINT_H 1</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment">/* Define to 1 if you have the &lt;stdlib.h&gt; header file. */</span></div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#a9e0e434ec1a6ddbd97db12b5a32905e0">   36</a></span>&#160;<span class="preprocessor">#define HAVE_STDLIB_H 1</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment">/* Define to 1 if you have the &lt;strings.h&gt; header file. */</span></div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#a405d10d46190bcb0320524c54eafc850">   39</a></span>&#160;<span class="preprocessor">#define HAVE_STRINGS_H 1</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160; </div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment">/* Define to 1 if you have the &lt;string.h&gt; header file. */</span></div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#ad4c234dd1625255dc626a15886306e7d">   42</a></span>&#160;<span class="preprocessor">#define HAVE_STRING_H 1</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment">/* Define to 1 if you have the &lt;sys/stat.h&gt; header file. */</span></div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#ace156430ba007d19b4348a950d0c692b">   45</a></span>&#160;<span class="preprocessor">#define HAVE_SYS_STAT_H 1</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="comment">/* Define to 1 if you have the &lt;sys/types.h&gt; header file. */</span></div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#a69dc70bea5d1f8bd2be9740e974fa666">   48</a></span>&#160;<span class="preprocessor">#define HAVE_SYS_TYPES_H 1</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160; </div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="comment">/* Define to 1 if you have the &lt;unistd.h&gt; header file. */</span></div><div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#a219b06937831d0da94d801ab13987639">   51</a></span>&#160;<span class="preprocessor">#define HAVE_UNISTD_H 1</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="comment">/* Define to 1 if the system has the type `_Bool&#39;. */</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="comment">/* #undef HAVE__BOOL */</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="comment">/* Define to the sub-directory where libtool stores uninstalled libraries. */</span></div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#ac2d5925d76379847dd9fc4747b061659">   57</a></span>&#160;<span class="preprocessor">#define LT_OBJDIR &quot;.libs/&quot;</span></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160; </div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="comment">/* Define to the address where bug reports for this package should be sent. */</span></div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#a1d1d2d7f8d2f95b376954d649ab03233">   60</a></span>&#160;<span class="preprocessor">#define PACKAGE_BUGREPORT &quot;libge@yahoo.com&quot;</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160; </div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="comment">/* Define to the full name of this package. */</span></div><div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#a1c0439e4355794c09b64274849eb0279">   63</a></span>&#160;<span class="preprocessor">#define PACKAGE_NAME &quot;libGE&quot;</span></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160; </div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="comment">/* Define to the full name and version of this package. */</span></div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#ac73e6f903c16eca7710f92e36e1c6fbf">   66</a></span>&#160;<span class="preprocessor">#define PACKAGE_STRING &quot;libGE 0.31.0&quot;</span></div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160; </div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="comment">/* Define to the one symbol short name of this package. */</span></div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#af415af6bfede0e8d5453708afe68651c">   69</a></span>&#160;<span class="preprocessor">#define PACKAGE_TARNAME &quot;libGE&quot;</span></div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160; </div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="comment">/* Define to the home page for this package. */</span></div><div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#a5c93853116d5a50307b6744f147840aa">   72</a></span>&#160;<span class="preprocessor">#define PACKAGE_URL &quot;&quot;</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160; </div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="comment">/* Define to the version of this package. */</span></div><div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#aa326a05d5e30f9e9a4bb0b4469d5d0c0">   75</a></span>&#160;<span class="preprocessor">#define PACKAGE_VERSION &quot;0.31.0&quot;</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160; </div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="comment">/* Define to 1 if you have the ANSI C header files. */</span></div><div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#a550e5c272cc3cf3814651721167dcd23">   78</a></span>&#160;<span class="preprocessor">#define STDC_HEADERS 1</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160; </div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="comment">/* Enable extensions on AIX 3, Interix.  */</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="preprocessor">#ifndef _ALL_SOURCE</span></div><div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#a6a4f67fdf3f14cde3b17d2465bf9ebb9">   82</a></span>&#160;<span class="preprocessor"># define _ALL_SOURCE 1</span></div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="comment">/* Enable GNU extensions on systems that have them.  */</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="preprocessor">#ifndef _GNU_SOURCE</span></div><div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#a369266c24eacffb87046522897a570d5">   86</a></span>&#160;<span class="preprocessor"># define _GNU_SOURCE 1</span></div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="comment">/* Enable threading extensions on Solaris.  */</span></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="preprocessor">#ifndef _POSIX_PTHREAD_SEMANTICS</span></div><div class="line"><a name="l00090"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#ad44924736167f82a10ae2891fc98a608">   90</a></span>&#160;<span class="preprocessor"># define _POSIX_PTHREAD_SEMANTICS 1</span></div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="comment">/* Enable extensions on HP NonStop.  */</span></div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="preprocessor">#ifndef _TANDEM_SOURCE</span></div><div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#aca41d2cbf86c3393115fc92f87289dff">   94</a></span>&#160;<span class="preprocessor"># define _TANDEM_SOURCE 1</span></div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="comment">/* Enable general extensions on Solaris.  */</span></div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="preprocessor">#ifndef __EXTENSIONS__</span></div><div class="line"><a name="l00098"></a><span class="lineno"><a class="line" href="lib_g_edefs_8h.html#ab27cf1abd092548f1c51632e6ae35a37">   98</a></span>&#160;<span class="preprocessor"># define __EXTENSIONS__ 1</span></div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160; </div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160; </div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="comment">/* Define to 1 if on MINIX. */</span></div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="comment">/* #undef _MINIX */</span></div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160; </div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="comment">/* Define to 2 if the system does not provide POSIX.1 features except with</span></div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="comment">   this defined. */</span></div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="comment">/* #undef _POSIX_1_SOURCE */</span></div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160; </div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<span class="comment">/* Define to 1 if you need to in order for `stat&#39; and other things to work. */</span></div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<span class="comment">/* #undef _POSIX_SOURCE */</span></div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160; </div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="comment">/* Define to empty if `const&#39; does not conform to ANSI C. */</span></div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="comment">/* #undef const */</span></div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160; </div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="comment">/* Define to rpl_malloc if the replacement function should be used. */</span></div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="comment">/* #undef malloc */</span></div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160; </div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160; </div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;<span class="preprocessor">#endif</span></div></div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
